# getInflationReward

Returns the inflation / staking reward for a list of addresses for an epoch.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

{% hint style="warning" %}
`getInflationReward` for Solana is limited to 1 request per second. If you have higher rate limit needs, [contact us](https://www.validationcloud.io/contact).
{% endhint %}

## **Parameters**

* `array` string *<mark style="color:red;">Required</mark>*. An array of addresses to query, as base-58 encoded strings
* `object` *optional.* Configuration object containing the following fields:
  * `commitment` string. The level of commitment required for the query. The options include:
    * `finalized` string.
      * The node will query the most recent block confirmed by the supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized.
      * `confirmed` string.
        * The node will query the most recent block that has been voted on by the supermajority of the cluster.
      * `processed` string.
        * The node will query its most recent block. Note that the block may not be complete.
  * `epoch` integer. An epoch for which the reward occurs. If omitted, the previous epoch will be used.
  * `minContextSlot` integer. The minimum slot that the request can be evaluated at.

## Returns

`result` The result will be an object with the following fields:

* `epoch` The epoch during which the reward was received.
* `effectiveSlot` The slot at which the rewards become active.
* `amount` The reward value in lamports.
* `postBalance` The account balance after the transaction in lamports.
* `commission` The commission rate of the vote account at the time the reward was credited.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": [
		{
			"amount": 4777030052,
			"commission": 7,
			"effectiveSlot": 320112000,
			"epoch": 740,
			"postBalance": 24765023250
		}
	],
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getInflationReward", "params": [["Ec37CQZjwRgGnuMmUi3BnEBXS5Xa3siakAPxPkHtahSf"]] }'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getInflationReward", "params": [["Ec37CQZjwRgGnuMmUi3BnEBXS5Xa3siakAPxPkHtahSf"]] }'
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/getinflationreward.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
